## apt-listbugs 0.1.33

=== debian/changelog ===
apt-listbugs (0.1.33) unstable; urgency=medium

  * updated Japanese translation, thanks to "victory"!
  * updated Dutch translation, thanks to Frans Spiesschaert! (Closes: #966145)
  * fixed "Standard output type syslog is obsolete, automatically updating
    to journal. Please update your unit file, and consider removing the
    setting altogether.": dropped StandardOutput= and StandardError=syslog
    directives in apt-listbugs.service (Closes: #968166)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Tue, 18 Aug 2020 16:37:27 +0200

apt-listbugs (0.1.32) unstable; urgency=medium

  * fixed "Please consider dropping dependency on s6 / s6-setuidgid":
    instead of using s6-setuidgid, use setpriv from package util-linux,
    which is essential and thus guaranteed to be installed on every
    non-broken Debian system (Closes: #921819)
  * added a command to only write bug lists in HTML, without running a
    browser on the resulting temporary file (the URI is instead shown,
    so that the user may copy and paste it into a browser location bar)
  * fixed "Listbugs-spawned QueryBTS can't find Firefox": when dropping root
    privileges (before invoking querybts or a browser), also drop DISPLAY
    and XAUTHORITY environment variables, so that no access to any graphical
    environment will be granted (Closes: #948697)
  * bumped Standards-Version to 4.5.0: no changes needed
  * simplified debian/rules by using the execute_after target (this is only
    supported in bullseye, buster-backports, and later...)
  * improved some error messages
  * fixed "listbugs prompt will only accept a package name for pinning": added
    a command to pin packages affected by specified bugs (Closes: #954859)
  * redirected debug output to stderr; redirected progress printing and
    output of --help to stdout
  * dropped the "a" command: replaced by the "i" command (with no arguments)
    which marks all the bugs as ignored (but does not immediately let the
    APT installation continue)
  * deferred the update of /var/lib/apt-listbugs/ignore_bugs until the user
    exits (with the "y" or "n" command)
  * improved the "i b<id>" and "i <num>" commands: when a user marks a bug
    as ignored, all merged bugs are marked as ignored
  * dropped the "h <pkg>.." and "h" commands, which have been deprecated
    since at least 2006 (!)
  * improved the "c" and "w" commands: bugs of pinned packages should not
    be shown in HTML bug lists
  * deferred the update of /etc/apt/preferences.d/apt-listbugs until the
    user exits (with the "y" or "n" command)
  * fixed "simplify wording for pinning description": added the 'u' command
    to undo all the dodge/pin/ignore operations done from the beginning
    of the session; the rest of the accepted feature requests included in the
    bug report have already been satisfied (Closes: #921583)
  * moved internal executables from /usr/lib to a subdirectory of /usr/libexec
  * fixed the generation of the translation template apt-listbugs.pot
  * bumped debhelper compatibility version to 13: no changes needed

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sun, 21 Jun 2020 12:07:21 +0200

=== debian/control ===
Source: apt-listbugs
Section: admin
Priority: optional
Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
Build-Depends: debhelper-compat (= 13), debhelper (>= 12.8~), gem2deb (>= 0.12)
Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian (>= 0.3.3), ruby-gettext (>= 3.0.2), ruby-test-unit, ruby-soap4r, ruby-unicode
Standards-Version: 4.5.0
Rules-Requires-Root: no
XS-Ruby-Versions: all
Vcs-Git: https://salsa.debian.org/frx-guest/apt-listbugs.git
Vcs-Browser: https://salsa.debian.org/frx-guest/apt-listbugs
Homepage: https://salsa.debian.org/frx-guest/apt-listbugs

Package: apt-listbugs
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-debian (>= 0.3.3), apt (>= 0.9.11), ruby-gettext (>= 3.0.2), ruby-xmlparser, ruby-soap4r, ruby-unicode
Recommends: ruby-httpclient (>= 2.1.5.2-1)
Suggests: reportbug, w3m | www-browser, sensible-utils, xdg-utils
Breaks: libapt-pkg4.12 (<< 0.9.11)
Description: tool which lists critical bugs before each APT installation
 apt-listbugs is a tool which retrieves bug reports from the Debian Bug
 Tracking System and lists them. Especially, it is intended to be invoked
 before each installation/upgrade by APT in order to check whether the
 installation/upgrade is safe.
 .
 Many developers and users prefer the unstable version of Debian for its new
 features and packages.  APT, the usual upgrade tool, can break your system by
 installing a buggy package.
 .
 apt-listbugs lists critical bug reports from the Debian Bug Tracking System.
 Run it from within the APT session, in order to see whether an installation
 or upgrade is known to be unsafe.

## apt-listbugs 0.1.34

=== debian/changelog ===
apt-listbugs (0.1.34) unstable; urgency=medium

  * improved style consistency in online help
  * updated Italian translation, thanks to Luca Monducci!
  * updated Spanish translation, thanks to Jonatan Porras!
  * updated Basque translation, thanks to Iñaki Larrañaga Murgoitio!
  * updated Czech translation, thanks to Miroslav Kure! (Closes: #974092)
  * updated Portuguese translation, thanks to Miguel Figueiredo!
    (Closes: #974762)
  * updated Japanese translation, thanks to "victory"!
  * updated Dutch translation, thanks to Frans Spiesschaert! (Closes: #975568)
  * updated Russian translation, thanks to Алексей Шилин! (Closes: #975723)
  * updated French translation, thanks to Jean-Pierre Giraud! (Closes: #975866)
  * bumped Standards-Version to 4.5.1: no changes needed

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sun, 29 Nov 2020 16:21:55 +0100

## apt-listbugs 0.1.35

=== Makefile ===
LINGUAS := $(shell cd po; ls *.po| cut -d'.' -f1)
MOFILES := $(patsubst %.po,%.mo,$(wildcard po/*.po))
VERSION := $(shell dpkg-parsechangelog -SVersion)
YEAR := $(shell dpkg-parsechangelog -SDate | cut -d ' ' -f 4)

.PHONY: all
all: apt-listbugs.1 $(MOFILES)

.PHONY: clean
clean:
	find -name '*~' -delete
	rm -f tests/log/tmp
	rm -f apt-listbugs.1
	rm -f $(MOFILES)

.PHONY: check
check:
	./test/test_logic.rb

apt-listbugs.1: bin/apt-listbugs
	cd bin/ && rd2 -r rd/rd2man-lib.rb -o ../apt-listbugs apt-listbugs

.PHONY: update-po
update-po: po/apt-listbugs.pot
	for po in $(LINGUAS); do \
	  rmsgmerge --wrap -U po/$$po.po po/apt-listbugs.pot; \
	done
	for po in $(LINGUAS); do \
	  msgfmt --statistics -v -c po/$$po.po -o /dev/null; \
	done

po/apt-listbugs.pot: bin/apt-listbugs lib/aptlistbugs/logic.rb \
                     libexec/aptcleanup libexec/migratepins
	rxgettext --add-comments=TRANSLATORS --wrap \
	          --copyright-holder="Masato Taruishi et al." \
	          --copyright-year=2002-$(YEAR) \
	          --package-name=apt-listbugs --package-version=$(VERSION) \
	          --msgid-bugs-address=$$DEBEMAIL \
	          bin/apt-listbugs lib/aptlistbugs/logic.rb \
	          libexec/aptcleanup libexec/migratepins \
	          -o po/apt-listbugs.pot

.PHONY: call-for-translation
call-for-translation:
	podebconf-report-po --call --withtranslators \
	                    --conf po/.podebconf-report-po.conf

.PHONY: install
install:
	# Add here commands to install the package into debian/apt-listbugs.
	for mo in $(MOFILES); do \
	  install -d $(DESTDIR)/usr/share/locale/`basename $$mo .mo`/LC_MESSAGES; \
	  install -m644 $$mo $(DESTDIR)/usr/share/locale/`basename $$mo .mo`/LC_MESSAGES/apt-listbugs.mo; \
	done

%.mo: %.po
	msgfmt -o $@ $<

=== debian/changelog ===
apt-listbugs (0.1.35) unstable; urgency=medium

  * updated German translation, thanks to Chris Leick! (Closes: #976063)
  * fixed a misspelled variable identifier in Japanese translation

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Tue, 29 Dec 2020 21:50:38 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
 Build-Depends: debhelper-compat (= 13), debhelper (>= 12.8~), gem2deb (>= 0.12)
 Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian (>= 0.3.3), ruby-gettext (>= 3.0.2), ruby-test-unit, ruby-soap4r, ruby-unicode
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 XS-Ruby-Versions: all
 Vcs-Git: https://salsa.debian.org/frx-guest/apt-listbugs.git

=== debian/rules ===
#!/usr/bin/make -f

# export DH_RUBY_IGNORE_TESTS=ruby2.2

%:
	dh $@ --buildsystem=ruby --with ruby

execute_after_dh_fixperms:
	chmod 755 debian/apt-listbugs/usr/libexec/apt-listbugs/aptcleanup
	chmod 755 debian/apt-listbugs/usr/libexec/apt-listbugs/migratepins
	chmod 755 debian/apt-listbugs/usr/libexec/apt-listbugs/prefclean

## apt-listbugs 0.1.36

=== debian/changelog ===
apt-listbugs (0.1.36) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on gem2deb.
    + Build-Depends-Indep: Drop versioned constraint on ruby-debian and
      ruby-gettext.
    + apt-listbugs: Drop versioned constraint on apt, ruby-debian and
      ruby-gettext in Depends.
    + apt-listbugs: Drop versioned constraint on ruby-httpclient in Recommends.

  [ Francesco Poli (wintermute) ]
  * bumped Standards-Version to 4.6.0: no changes needed
  * dropped deprecated ruby-interpreter from the dependencies
  * fixed "daily cleanup runs hourly": improved clarity of the systemd
    .service and .timer unit description (Closes: #987839)
  * annotated ruby dependency with :any

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Wed, 24 Nov 2021 23:13:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
-Build-Depends: debhelper-compat (= 13), debhelper (>= 12.8~), gem2deb (>= 0.12)
-Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian (>= 0.3.3), ruby-gettext (>= 3.0.2), ruby-test-unit, ruby-soap4r, ruby-unicode
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), debhelper (>= 12.8~), gem2deb
+Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian, ruby-gettext, ruby-test-unit, ruby-soap4r, ruby-unicode
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 XS-Ruby-Versions: all
 Vcs-Git: https://salsa.debian.org/frx-guest/apt-listbugs.git
@@ -14,8 +14,8 @@
 Package: apt-listbugs
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ${misc:Depends}, ruby | ruby-interpreter, ruby-debian (>= 0.3.3), apt (>= 0.9.11), ruby-gettext (>= 3.0.2), ruby-xmlparser, ruby-soap4r, ruby-unicode
-Recommends: ruby-httpclient (>= 2.1.5.2-1)
+Depends: ${misc:Depends}, ruby:any, ruby-debian, apt, ruby-gettext, ruby-xmlparser, ruby-soap4r, ruby-unicode
+Recommends: ruby-httpclient
 Suggests: reportbug, w3m | www-browser, sensible-utils, xdg-utils
 Breaks: libapt-pkg4.12 (<< 0.9.11)
 Description: tool which lists critical bugs before each APT installation

## apt-listbugs 0.1.36+nmu1

=== debian/changelog ===
apt-listbugs (0.1.36+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:52:21 +0200

## apt-listbugs 0.1.37

=== debian/changelog ===
apt-listbugs (0.1.37) unstable; urgency=medium

  * bumped Standards-Version to 4.6.1: no changes needed
  * added a second test for autopkgtest (a superficial smoke test)
  * defined a name for the first autopkgtest test (the one that runs
    the unit test suite)
  * added a third test for autopkgtest (a live test against the Debian BTS,
    requiring access to Internet)
  * added a fourth test for autopkgtest (a test for the rss command, requiring
    access to Internet)
  * added a fifth test for autopkgtest (a test for the proxy configurations,
    requiring access to Internet and a local proxy, such as privoxy)
  * dropped the obsolete test scripts
  * converted debian/copyright to machine-readable format and updated FSF
    address in permission notices; improved descriptions of copyright owners
    in translations
  * enhanced handling of cases where a bug number is unknown to the BTS
    (for instance, a user may ask to ignore a bug that is not known to the
    BTS: apt-listbugs must not crash, but just refuse to add that bug to
    the list of ignored bugs)
  * fixed "automatic pinning is not added under unattended-upgrades":
    added a call to save() for force_pin case; this regression was introduced
    when the update of files was deferred to the end of the session; thanks
    to Paul Wise for reporting and investigating the bug! (Closes: #1021289)
  * dropped obsolete automatic pin migration (which had been implemented
    in 2014 for upgrades from apt-listbugs version <= 0.1.13 to version
    >= 0.1.14): anyone wishing to upgrade from apt-listbugs version <= 0.1.13
    to version >= 0.1.37 will need to perform a two-step upgrade
  * enhanced style in online help by avoiding abbreviations

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Wed, 26 Oct 2022 22:56:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
 Build-Depends: debhelper-compat (= 13), debhelper (>= 12.8~), gem2deb
 Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian, ruby-gettext, ruby-test-unit, ruby-soap4r, ruby-unicode
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 XS-Ruby-Versions: all
 Vcs-Git: https://salsa.debian.org/frx-guest/apt-listbugs.git

## apt-listbugs 0.1.38

=== debian/changelog ===
apt-listbugs (0.1.38) unstable; urgency=medium

  * updated German translation, thanks to Chris Leick! (Closes: #1023045)
  * added Simplified Chinese translation, thanks to Boyuan Yang!
  * updated Czech translation, thanks to Miroslav Kure! (Closes: #1023202)
  * updated Spanish translation, thanks to Jonatan Porras!
  * updated Danish translation, thanks to Gaudencio Phildan Caluza!
  * updated Japanese translation, thanks to "victory"!
  * updated Polish translation, thanks to Marcin Owsiany!
  * updated Galician translation, thanks to Parodper!
  * updated Russian translation, thanks to Алексей Шилин! (Closes: #1023877)
  * updated Dutch translation, thanks to Frans Spiesschaert! (Closes: #1023973)
  * updated French translation, thanks to Jean-Pierre Giraud!
    (Closes: #1024067)
  * updated Basque translation, thanks to Iñaki Larrañaga Murgoitio!

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Wed, 23 Nov 2022 22:43:05 +0100

## apt-listbugs 0.1.39

=== debian/changelog ===
apt-listbugs (0.1.39) unstable; urgency=medium

  * cleaned debian/copyright file (regenerating it with decopy version
    0.2.4.8-0.1 resulted in dropping a final empty line)
  * dropped XS-Ruby-Versions and XB-Ruby-Versions from debian/control file,
    as they are now deprecated (see changelog entry for package gem2deb,
    version 2.1).
  * bumped Standards-Version to 4.6.2: no changes needed

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sat, 24 Dec 2022 17:25:40 +0100

## apt-listbugs 0.1.40

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,16 @@
 MOFILES := $(patsubst %.po,%.mo,$(wildcard po/*.po))
 VERSION := $(shell dpkg-parsechangelog -SVersion)
 YEAR := $(shell dpkg-parsechangelog -SDate | cut -d ' ' -f 4)
+
+CEX := po/.*\.mo
+CEX := $(CEX)|apt-listbugs\.1
+CEX := $(CEX)|debian/\.debhelper/
+CEX := $(CEX)|debian/debhelper-build-stamp
+CEX := $(CEX)|debian/apt-listbugs\.postrm\.debhelper
+CEX := $(CEX)|debian/apt-listbugs\.debhelper\.log
+CEX := $(CEX)|debian/apt-listbugs\.substvars
+CEX := $(CEX)|debian/apt-listbugs/
+CEX := $(CEX)|debian/files
 
 .PHONY: all
 all: apt-listbugs.1 $(MOFILES)
@@ -9,7 +19,6 @@
 .PHONY: clean
 clean:
 	find -name '*~' -delete
-	rm -f tests/log/tmp
 	rm -f apt-listbugs.1
 	rm -f $(MOFILES)
 
@@ -30,14 +39,14 @@
 	done
 
 po/apt-listbugs.pot: bin/apt-listbugs lib/aptlistbugs/logic.rb \
-                     libexec/aptcleanup libexec/migratepins
+                     libexec/aptcleanup
 	rxgettext --add-comments=TRANSLATORS --wrap \
-	          --copyright-holder="Masato Taruishi et al." \
+	          --copyright-holder="apt-listbugs authors" \
 	          --copyright-year=2002-$(YEAR) \
 	          --package-name=apt-listbugs --package-version=$(VERSION) \
 	          --msgid-bugs-address=$$DEBEMAIL \
 	          bin/apt-listbugs lib/aptlistbugs/logic.rb \
-	          libexec/aptcleanup libexec/migratepins \
+	          libexec/aptcleanup \
 	          -o po/apt-listbugs.pot
 
 .PHONY: call-for-translation
@@ -56,3 +65,6 @@
 %.mo: %.po
 	msgfmt -o $@ $<
 
+.PHONY: debian-copyright
+debian-copyright:
+	debclean && decopy --exclude '$(CEX)' --output debian/copyright

=== debian/changelog ===
apt-listbugs (0.1.40) unstable; urgency=medium

  * updated Italian translation, thanks to Luca Monducci! (Closes: #1028134)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Wed, 11 Jan 2023 23:13:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,14 @@
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
 Build-Depends: debhelper-compat (= 13), debhelper (>= 12.8~), gem2deb
 Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian, ruby-gettext, ruby-test-unit, ruby-soap4r, ruby-unicode
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-XS-Ruby-Versions: all
 Vcs-Git: https://salsa.debian.org/frx-guest/apt-listbugs.git
 Vcs-Browser: https://salsa.debian.org/frx-guest/apt-listbugs
 Homepage: https://salsa.debian.org/frx-guest/apt-listbugs
 
 Package: apt-listbugs
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends}, ruby:any, ruby-debian, apt, ruby-gettext, ruby-xmlparser, ruby-soap4r, ruby-unicode
 Recommends: ruby-httpclient
 Suggests: reportbug, w3m | www-browser, sensible-utils, xdg-utils

=== debian/tests/control ===
Test-Command: gem2deb-test-runner --autopkgtest 2>&1
Depends: @, gem2deb-test-runner
Features: test-name=unit_test

Tests: smoke
Restrictions: superficial

Tests: live
Restrictions: needs-internet

Tests: rss
Restrictions: needs-internet

Tests: proxy
Restrictions: isolation-container, needs-internet
Depends: @, privoxy

## apt-listbugs 0.1.42

=== Makefile ===
--- 
+++ 
@@ -26,8 +26,8 @@
 check:
 	./test/test_logic.rb
 
-apt-listbugs.1: bin/apt-listbugs
-	cd bin/ && rd2 -r rd/rd2man-lib.rb -o ../apt-listbugs apt-listbugs
+apt-listbugs.1: apt-listbugs.md
+	lowdown -s -Tman --parse-no-intraemph --parse-no-autolink -o $@ $<
 
 .PHONY: update-po
 update-po: po/apt-listbugs.pot

=== debian/changelog ===
apt-listbugs (0.1.42) unstable; urgency=medium

  * fixed "should use https to access bug tracking system": switched to
    https by default, added the -u command-line option and the AptListbugs::URL
    configuration option to customize the SOAP URL, deprecated the -H/-p
    command-line options; thanks to Michael Gold for the useful patch, which
    was later modified by me! (Closes: #792639)
  * switched to Markdown source form for the man page (compiled with lowdown)
  * modified live test (for autopkgtest) to use a different package upgrade
    (currently showing an RC bug)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sun, 09 Jun 2024 21:40:36 +0200

apt-listbugs (0.1.41+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 00:57:17 +0200

apt-listbugs (0.1.41) unstable; urgency=medium

  * added the missing -a option to the man page synopsis
  * added a configuration option (AptListbugs::DebugFile) to specify a file
    which will be overwritten with the debug output
  * enhanced the handling of the user's answer to the questions on how
    to proceed ("Are you sure?"): leading and trailing spaces are now ignored
  * fixed bug in undo command 'u' management: after undoing a dodge or pin
    operation, if the user re-attempted the same operation, but then changed
    his/her mind and answered 'n' to the "Are you sure?" question, the
    operation was carried on, no matter what

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Fri, 27 Oct 2023 16:54:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
 Build-Depends: debhelper-compat (= 13), debhelper (>= 12.8~), gem2deb
-Build-Depends-Indep: ruby, rdtool, gettext, ruby-debian, ruby-gettext, ruby-test-unit, ruby-soap4r, ruby-unicode
+Build-Depends-Indep: ruby, lowdown, gettext, ruby-debian, ruby-gettext, ruby-test-unit, ruby-soap4r, ruby-unicode
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/frx-guest/apt-listbugs.git
@@ -15,7 +15,7 @@
 Depends: ${misc:Depends}, ruby:any, ruby-debian, apt, ruby-gettext, ruby-xmlparser, ruby-soap4r, ruby-unicode
 Recommends: ruby-httpclient
 Suggests: reportbug, w3m | www-browser, sensible-utils, xdg-utils
-Breaks: libapt-pkg4.12 (<< 0.9.11)
+Breaks: libapt-pkg4.12 (<< 0.9.11), libruby (<< 1:3.1)
 Description: tool which lists critical bugs before each APT installation
  apt-listbugs is a tool which retrieves bug reports from the Debian Bug
  Tracking System and lists them. Especially, it is intended to be invoked

## apt-listbugs 0.1.43

=== debian/changelog ===
apt-listbugs (0.1.43) unstable; urgency=medium

  * bumped Standards-Version to 4.7.0: no changes needed
  * updated Dutch translation, thanks to Frans Spiesschaert! (Closes: #1075873)
  * updated German translation, thanks to Christoph Brinkhaus!
    (Closes: #1078590)
  * fixed "pinning explanation: add requester and apt command-line",
    introducing a new recommendation (ruby-sys-proctable) (Closes: #1021290)
  * switched to pandoc to compile the Markdown source of the man page
  * improved the i18n of one string (the string that suggests the user to
    restart the APT session now distinguishes between singular and plural
    number of packages)
  * fixed 'unexpected "prefclean output on ..." emails since bookworm
    upgrade': added a boolean configuration option
    (AptListbugs::TimerOutputMail) to decide whether the systemd timer output
    is to be sent to root via local mail or just logged (Closes: #1030249)
  * fixed "installs same filename to both bin and sbin": dropped the symlink
    from the /usr/sbin directory (Closes: #1064783)
  * fixed "Ignores release-related tags (sid, bookwork, etc.) in bug
    reports causing false positives, e.g. lists bugs in stable which are only
    tagged sid and bookworm": added a configuration option
    (AptListbugs::DistroRelease) and a corresponding command-line option (-r)
    to specify which distribution release is to be considered as the one the
    system is running; bugs tagged with other release tags, but not with this
    release tag, will be automatically ignored; this adds a dependency on
    distro-info (Closes: #1023111)

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sat, 30 Nov 2024 16:52:13 +0100

## apt-listbugs 0.1.44

=== debian/changelog ===
apt-listbugs (0.1.44) unstable; urgency=medium

  * updated Japanese translation, thanks to Sadaharu Wakisaka!
  * updated Turkish translation, thanks to Fatih Altun!
  * updated Czech translation, thanks to Miroslav Kure! (Closes: #1089114)
  * updated Simplified Chinese translation, thanks to Boyuan Yang!
  * updated German translation, thanks to Christoph Brinkhaus!
    (Closes: #1089107)
  * updated Dutch translation, thanks to Frans Spiesschaert! (Closes: #1089718)
  * updated Basque translation, thanks to Iñaki Larrañaga Murgoitio!
  * updated Brazilian Portuguese translation, thanks to Paulo Henrique de Lima
    Santana!
  * updated Galician translation, thanks to Parodper!
  * updated French translation, thanks to Jean-Pierre Giraud!
    (Closes: #1090789)
  * updated Italian translation, thanks to Luca Monducci!
  * updated Russian translation, thanks to Алексей Шилин!

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Wed, 25 Dec 2024 18:57:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
 Build-Depends: debhelper-compat (= 13), debhelper (>= 12.8~), gem2deb
-Build-Depends-Indep: ruby, lowdown, gettext, ruby-debian, ruby-gettext, ruby-test-unit, ruby-soap4r, ruby-unicode
-Standards-Version: 4.6.2
+Build-Depends-Indep: ruby, pandoc, gettext, ruby-debian, ruby-gettext, ruby-test-unit, ruby-soap4r, ruby-unicode
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/frx-guest/apt-listbugs.git
 Vcs-Browser: https://salsa.debian.org/frx-guest/apt-listbugs
@@ -12,8 +12,8 @@
 
 Package: apt-listbugs
 Architecture: all
-Depends: ${misc:Depends}, ruby:any, ruby-debian, apt, ruby-gettext, ruby-xmlparser, ruby-soap4r, ruby-unicode
-Recommends: ruby-httpclient
+Depends: ${misc:Depends}, ruby:any, ruby-debian, apt, ruby-gettext, ruby-xmlparser, ruby-soap4r, ruby-unicode, distro-info
+Recommends: ruby-httpclient, ruby-sys-proctable
 Suggests: reportbug, w3m | www-browser, sensible-utils, xdg-utils
 Breaks: libapt-pkg4.12 (<< 0.9.11), libruby (<< 1:3.1)
 Description: tool which lists critical bugs before each APT installation

## apt-listbugs 0.1.45

=== debian/changelog ===
apt-listbugs (0.1.45) unstable; urgency=medium

  * fixed typo in Italian translation, thanks to Daniele Forsi!
  * updated Danish translation, thanks to Gaudencio Phildan Caluza!
  * updated Spanish translation, thanks to Jonatan Porras!
  * updated Portuguese translation, thanks to Miguel Figueiredo!
    (Closes: #1092816)
  * added Indonesian translation, thanks to Andika Triwidada!

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Sat, 01 Feb 2025 17:34:38 +0100

## apt-listbugs 0.1.46

=== debian/changelog ===
apt-listbugs (0.1.46) unstable; urgency=medium

  * bumped Standards-Version to 4.7.1: no changes needed

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Mon, 24 Feb 2025 16:11:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
 Build-Depends: debhelper-compat (= 13), debhelper (>= 12.8~), gem2deb
 Build-Depends-Indep: ruby, pandoc, gettext, ruby-debian, ruby-gettext, ruby-test-unit, ruby-soap4r, ruby-unicode
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/frx-guest/apt-listbugs.git
 Vcs-Browser: https://salsa.debian.org/frx-guest/apt-listbugs

## apt-listbugs 0.1.47

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,8 @@
 	./test/test_logic.rb
 
 apt-listbugs.1: apt-listbugs.md
-	lowdown -s -Tman --parse-no-intraemph --parse-no-autolink -o $@ $<
+	pandoc --standalone --from markdown --to man \
+	       --variable=footer:"apt-listbugs $(VERSION)" -o $@ $<
 
 .PHONY: update-po
 update-po: po/apt-listbugs.pot

=== debian/changelog ===
apt-listbugs (0.1.47) unstable; urgency=medium

  * bumped Standards-Version to 4.7.2: no changes needed

 -- Francesco Poli (wintermute) <invernomuto@paranoici.org>  Fri, 07 Mar 2025 16:25:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Francesco Poli (wintermute) <invernomuto@paranoici.org>
 Build-Depends: debhelper-compat (= 13), debhelper (>= 12.8~), gem2deb
 Build-Depends-Indep: ruby, pandoc, gettext, ruby-debian, ruby-gettext, ruby-test-unit, ruby-soap4r, ruby-unicode
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/frx-guest/apt-listbugs.git
 Vcs-Browser: https://salsa.debian.org/frx-guest/apt-listbugs

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,4 @@
 
 execute_after_dh_fixperms:
 	chmod 755 debian/apt-listbugs/usr/libexec/apt-listbugs/aptcleanup
-	chmod 755 debian/apt-listbugs/usr/libexec/apt-listbugs/migratepins
 	chmod 755 debian/apt-listbugs/usr/libexec/apt-listbugs/prefclean
